Skip to main content
BVNK

Update customer associate

PATCH 

/platform/v2/customers/{customerId}/associates/{associateId}

Applies a partial update to an associate. Omitted fields are left unchanged.

  • types, if sent, replaces the associate's existing roles and must contain at least one role.
  • entity.type must match the associate's type (PERSON or BUSINESS_REGISTRATION).
  • entity.reliance is only accepted for customers onboarded with the RELIANCE (Partner-Managed) model.

The request is rejected with 400 if the associate's identity has already been verified and a verified field is changed, if the email address is already used by another associate of the customer, or if the customer was onboarded with Customers API v.1 (error code bvnk:onboarding-accounts:4017).

Request​

Responses​

Associate updated

Was this page helpful?